diff --git a/mobile/lib/main.dart b/mobile/lib/main.dart
index 8be76ef..7c9472a 100644
--- a/mobile/lib/main.dart
+++ b/mobile/lib/main.dart
@@ -54,6 +54,7 @@ class MyApp extends StatelessWidget {
             }
           });
           
+          final initial = WidgetsBinding.instance.platformDispatcher.defaultRouteName;
           return MaterialApp(
             navigatorKey: navigatorKey, // 인증 오류 처리를 위한 전역 네비게이터 키
             title: '볼링 매니저',
@@ -150,29 +151,12 @@ class MyApp extends StatelessWidget {
               Locale('en', 'US'),
             ],
             locale: const Locale('ko', 'KR'),
-            // 전역 레이아웃 래퍼: 큰 화면에서 최대 폭 제한 및 좌우 패딩 적용
-            builder: (context, child) {
-              const double maxWidth = 1200;
-              return Container(
-                alignment: Alignment.topCenter,
-                color: Theme.of(context).colorScheme.background,
-                child: Padding(
-                  padding: const EdgeInsets.symmetric(horizontal: 16),
-                  child: ConstrainedBox(
-                    constraints: const BoxConstraints(maxWidth: maxWidth),
-                    child: child,
-                  ),
-                ),
-              );
-            },
-            home: authService.isAuthenticated ? const HomeScreen() : const LoginScreen(),
-            routes: {
-              '/login': (context) => const LoginScreen(),
-              '/profile': (context) => const ProfileScreen(),
-              ClubSettingsScreen.routeName: (context) => const ClubSettingsScreen(),
-            },
+            // NOTE: 웹 딥링크 초기 빌드 시 child가 null일 수 있어 단순 패스 처리
+            builder: (context, child) => child ?? const SizedBox.shrink(),
+            initialRoute: initial,
             onGenerateRoute: (settings) {
               final name = settings.name ?? '';
+              // 공용 이벤트 딥링크 우선 처리
               if (name.startsWith('/p/')) {
                 final hash = name.substring(3);
                 return MaterialPageRoute(
@@ -187,7 +171,27 @@ class MyApp extends StatelessWidget {
                   settings: settings,
                 );
               }
-              return null;
+              if (name == '/login') {
+                return MaterialPageRoute(builder: (_) => const LoginScreen(), settings: settings);
+              }
+              if (name == '/profile') {
+                return MaterialPageRoute(builder: (_) => const ProfileScreen(), settings: settings);
+              }
+              if (name == ClubSettingsScreen.routeName) {
+                return MaterialPageRoute(builder: (_) => const ClubSettingsScreen(), settings: settings);
+              }
+              // 루트('/') 진입 시에만 홈/로그인 분기
+              if (name == '/' || name.isEmpty) {
+                return MaterialPageRoute(
+                  builder: (_) => authService.isAuthenticated ? const HomeScreen() : const LoginScreen(),
+                  settings: settings,
+                );
+              }
+              // 알 수 없는 경로는 루트로 포워딩
+              return MaterialPageRoute(
+                builder: (_) => authService.isAuthenticated ? const HomeScreen() : const LoginScreen(),
+                settings: settings,
+              );
             },
           );
         },
diff --git a/mobile/lib/models/public_team.dart b/mobile/lib/models/public_team.dart
index 447d737..ea8120c 100644
--- a/mobile/lib/models/public_team.dart
+++ b/mobile/lib/models/public_team.dart
@@ -3,22 +3,53 @@ class PublicTeamMemberSummary {
   final String? participantId;
   final String? memberId;
   final String name;
+  final String? gender;
+  final String? memberType;
+  final String? status;
+  final String? paymentStatus;
+  final String? comment;
+  final bool isGuest;
   final List<int?> rawScores;
   final List<int> handicaps;
+  final num? average;
+  final int memberHandicap;
 
   PublicTeamMemberSummary({
     required this.participantId,
     required this.memberId,
     required this.name,
+    required this.gender,
+    required this.memberType,
+    required this.status,
+    required this.paymentStatus,
+    required this.comment,
+    required this.isGuest,
     required this.rawScores,
     required this.handicaps,
+    required this.average,
+    required this.memberHandicap,
   });
 
   factory PublicTeamMemberSummary.fromJson(Map<String, dynamic> json, {int gameCount = 3}) {
+    num? parseNum(dynamic v) {
+      if (v == null) return null;
+      if (v is num) return v;
+      return num.tryParse(v.toString());
+    }
+    int parseInt(dynamic v, {int def = 0}) {
+      if (v == null) return def;
+      if (v is int) return v;
+      return int.tryParse(v.toString()) ?? def;
+    }
     final participantId = json['participantId']?.toString();
     final memberId = json['memberId']?.toString();
     final name = (json['name'] ?? '이름없음').toString();
-    // 점수 포맷은 PublicParticipant와 동일 규칙
+    final gender = json['gender']?.toString();
+    final memberType = json['memberType']?.toString();
+    final status = json['status']?.toString();
+    final paymentStatus = json['paymentStatus']?.toString();
+    final comment = json['comment']?.toString();
+    final isGuest = json['isGuest'] == true;
     final List<dynamic> src = (json['scores'] is List) ? (json['scores'] as List) : const [];
     final List<int?> raw = List<int?>.filled(gameCount, null);
     final List<int> hcs = List<int>.filled(gameCount, 0);
@@ -44,8 +75,16 @@ class PublicTeamMemberSummary {
       participantId: participantId,
       memberId: memberId,
       name: name,
+      gender: gender,
+      memberType: memberType,
+      status: status,
+      paymentStatus: paymentStatus,
+      comment: comment,
+      isGuest: isGuest,
       rawScores: raw,
       handicaps: hcs,
+      average: parseNum(json['average']),
+      memberHandicap: parseInt(json['handicap'], def: 0),
     );
   }
 }
diff --git a/mobile/lib/screens/club/club_settings_screen.dart b/mobile/lib/screens/club/club_settings_screen.dart
index 992a22b..26eb538 100644
--- a/mobile/lib/screens/club/club_settings_screen.dart
+++ b/mobile/lib/screens/club/club_settings_screen.dart
@@ -315,7 +315,7 @@ class _ClubSettingsScreenState extends State<ClubSettingsScreen> {
                               labelText: '평균 산정 기준',
                               border: OutlineInputBorder(),
                             ),
-                            value: _selectedAverageCalculationPeriod,
+                            initialValue: _selectedAverageCalculationPeriod,
                             isExpanded: true,
                             items: averageCalculationPeriodOptions.entries
                                 .map(
diff --git a/mobile/lib/screens/club/event_details_screen.dart b/mobile/lib/screens/club/event_details_screen.dart
index 709ba78..d81b528 100644
--- a/mobile/lib/screens/club/event_details_screen.dart
+++ b/mobile/lib/screens/club/event_details_screen.dart
@@ -383,7 +383,7 @@ class _EventDetailsScreenState extends State<EventDetailsScreen>
                     Expanded(
                       child: DropdownButtonFormField<String>(
                         key: const Key('event_details_guest_gender_dropdown'),
-                        value: gender,
+                        initialValue: gender,
                         decoration: const InputDecoration(
                           labelText: '성별',
                           border: OutlineInputBorder(),
@@ -469,7 +469,7 @@ class _EventDetailsScreenState extends State<EventDetailsScreen>
                         key: const Key(
                           'event_details_participant_status_dropdown',
                         ),
-                        value:
+                        initialValue:
                             (participantStatusOptions.keys.contains(
                               participantStatus,
                             ))
@@ -500,7 +500,7 @@ class _EventDetailsScreenState extends State<EventDetailsScreen>
                     Expanded(
                       child: DropdownButtonFormField<String>(
                         key: const Key('event_details_payment_status_dropdown'),
-                        value:
+                        initialValue:
                             (paymentStatusOptions.keys.contains(paymentStatus))
                             ? paymentStatus
                             : null,
@@ -1421,7 +1421,7 @@ ${widget.event.accessPassword != null && widget.event.accessPassword!.isNotEmpty
                 else
                   DropdownButtonFormField<String>(
                     key: const Key('quick_add_member_dropdown'),
-                    value: selectedMemberId,
+                    initialValue: selectedMemberId,
                     isExpanded: true,
                     decoration: const InputDecoration(
                       labelText: '회원 선택',
@@ -1447,7 +1447,7 @@ ${widget.event.accessPassword != null && widget.event.accessPassword!.isNotEmpty
                     Expanded(
                       child: DropdownButtonFormField<String>(
                         key: const Key('quick_add_status_dropdown'),
-                        value: status,
+                        initialValue: status,
                         isExpanded: true,
                         decoration: const InputDecoration(
                           labelText: '상태',
@@ -1468,7 +1468,7 @@ ${widget.event.accessPassword != null && widget.event.accessPassword!.isNotEmpty
                     Expanded(
                       child: DropdownButtonFormField<String>(
                         key: const Key('quick_add_payment_dropdown'),
-                        value: paymentStatus,
+                        initialValue: paymentStatus,
                         isExpanded: true,
                         decoration: const InputDecoration(
                           labelText: '결제',
@@ -1578,7 +1578,7 @@ ${widget.event.accessPassword != null && widget.event.accessPassword!.isNotEmpty
           mainAxisSize: MainAxisSize.min,
           children: [
             DropdownButtonFormField<String>(
-              value: status,
+              initialValue: status,
               isExpanded: true,
               decoration: const InputDecoration(labelText: '상태'),
               items: participantStatusOptions.entries
@@ -1593,7 +1593,7 @@ ${widget.event.accessPassword != null && widget.event.accessPassword!.isNotEmpty
             ),
             const SizedBox(height: 8),
             DropdownButtonFormField<String>(
-              value: paymentStatus,
+              initialValue: paymentStatus,
               isExpanded: true,
               decoration: const InputDecoration(labelText: '결제'),
               items: paymentStatusOptions.entries
diff --git a/mobile/lib/screens/club/event_form_screen.dart b/mobile/lib/screens/club/event_form_screen.dart
index 11d12ac..890505c 100644
--- a/mobile/lib/screens/club/event_form_screen.dart
+++ b/mobile/lib/screens/club/event_form_screen.dart
@@ -480,7 +480,7 @@ class _EventFormScreenState extends State<EventFormScreen> {
                     // 이벤트 유형
                     DropdownButtonFormField<String>(
                       key: const Key('event_form_type_dropdown'),
-                      value: _type,
+                      initialValue: _type,
                       decoration: InputDecoration(
                         labelText: '이벤트 유형 *',
                         labelStyle: TextStyle(
@@ -560,7 +560,7 @@ class _EventFormScreenState extends State<EventFormScreen> {
                     // 상태
                     DropdownButtonFormField<String>(
                       key: const Key('event_form_status_dropdown'),
-                      value: _status,
+                      initialValue: _status,
                       decoration: InputDecoration(
                         labelText: '상태 *',
                         labelStyle: TextStyle(
@@ -1172,10 +1172,10 @@ class _EventFormScreenState extends State<EventFormScreen> {
                           Container(
                             padding: const EdgeInsets.all(12),
                             decoration: BoxDecoration(
-                              color: Colors.blue.withValues(alpha: 0.1),
+                              color: Colors.blue.withOpacity(0.1),
                               borderRadius: BorderRadius.circular(8),
                               border: Border.all(
-                                color: Colors.blue.withValues(alpha: 0.3),
+                                color: Colors.blue.withOpacity(0.3),
                               ),
                             ),
                             child: Column(
diff --git a/mobile/lib/screens/club/event_import_wizard.dart b/mobile/lib/screens/club/event_import_wizard.dart
index 130ca14..1db9f64 100644
--- a/mobile/lib/screens/club/event_import_wizard.dart
+++ b/mobile/lib/screens/club/event_import_wizard.dart
@@ -549,8 +549,9 @@ class _EventImportWizardState extends State<EventImportWizard> {
                           final totalWarnings = _participants
                               .map(_rowWarnings)
                               .fold<int>(0, (a, b) => a + b.length);
-                          if (totalWarnings == 0)
+                          if (totalWarnings == 0) {
                             return const SizedBox.shrink();
+                          }
                           return Padding(
                             padding: const EdgeInsets.only(
                               top: 4.0,
@@ -565,7 +566,7 @@ class _EventImportWizardState extends State<EventImportWizard> {
                                 ),
                                 const SizedBox(width: 6),
                                 Text(
-                                  '경고 ${totalWarnings}건: 이름 누락 또는 점수 개수 불일치',
+                                  '경고 $totalWarnings건: 이름 누락 또는 점수 개수 불일치',
                                 ),
                               ],
                             ),
@@ -877,7 +878,7 @@ class _EventImportWizardState extends State<EventImportWizard> {
             content: Column(
               crossAxisAlignment: CrossAxisAlignment.start,
               children: [
-                Text('이벤트: ${_titleCtrl.text} (${_gameCount}게임)'),
+                Text('이벤트: ${_titleCtrl.text} ($_gameCount게임)'),
                 if (_startDate != null)
                   Text('시작일: ${dateFmt.format(_startDate!)}'),
                 if (_endDate != null) Text('종료일: ${dateFmt.format(_endDate!)}'),
diff --git a/mobile/lib/screens/club/events_screen.dart b/mobile/lib/screens/club/events_screen.dart
index 0233a51..0dc6083 100644
--- a/mobile/lib/screens/club/events_screen.dart
+++ b/mobile/lib/screens/club/events_screen.dart
@@ -1,6 +1,5 @@
 import 'package:flutter/material.dart';
 import 'package:provider/provider.dart';
-import 'package:flutter/services.dart';
 import 'package:shared_preferences/shared_preferences.dart';
 import 'package:intl/intl.dart';
 
@@ -45,11 +44,13 @@ class _EventsScreenState extends State<EventsScreen> {
         s == 'draft' ||
         s == 'scheduled' ||
         s == 'waiting' ||
-        s == '대기')
+        s == '대기') {
       return '대기';
+    }
     if (s == 'canceled' || s == 'cancelled' || s == '취소') return '취소';
-    if (s == 'completed' || s == 'done' || s == 'finished' || s == '완료')
+    if (s == 'completed' || s == 'done' || s == 'finished' || s == '완료') {
       return '완료';
+    }
     return status; // 알 수 없는 값은 원문 유지
   }
 
diff --git a/mobile/lib/screens/club/members_screen.dart b/mobile/lib/screens/club/members_screen.dart
index 96ef1c6..bd9c6d6 100644
--- a/mobile/lib/screens/club/members_screen.dart
+++ b/mobile/lib/screens/club/members_screen.dart
@@ -411,7 +411,7 @@ class _MembersScreenState extends State<MembersScreen> {
                   const SizedBox(height: 16),
                   DropdownButtonFormField<String>(
                     key: const Key('members_add_gender_dropdown'),
-                    value: selectedGender,
+                    initialValue: selectedGender,
                     decoration: const InputDecoration(
                       labelText: '성별',
                       border: OutlineInputBorder(),
@@ -432,7 +432,7 @@ class _MembersScreenState extends State<MembersScreen> {
                   const SizedBox(height: 16),
                   DropdownButtonFormField<String>(
                     key: const Key('members_add_member_type_dropdown'),
-                    value: selectedMemberType,
+                    initialValue: selectedMemberType,
                     decoration: const InputDecoration(
                       labelText: '회원 유형',
                       border: OutlineInputBorder(),
@@ -454,7 +454,7 @@ class _MembersScreenState extends State<MembersScreen> {
                   const SizedBox(height: 16),
                   DropdownButtonFormField<String>(
                     key: const Key('members_add_status_dropdown'),
-                    value: selectedStatus,
+                    initialValue: selectedStatus,
                     decoration: const InputDecoration(
                       labelText: '상태',
                       border: OutlineInputBorder(),
@@ -727,7 +727,7 @@ class _MembersScreenState extends State<MembersScreen> {
                         buildFormField('성별', isEditing ? 
                           DropdownButtonFormField<String>(
                             key: const Key('members_edit_gender_dropdown'),
-                            value: selectedGender,
+                            initialValue: selectedGender,
                             decoration: const InputDecoration(
                               border: OutlineInputBorder(),
                               contentPadding: EdgeInsets.symmetric(horizontal: 12, vertical: 8),
@@ -756,7 +756,7 @@ class _MembersScreenState extends State<MembersScreen> {
                         if (isEditing)
                           buildFormField('회원 유형', DropdownButtonFormField<String>(
                             key: const Key('members_edit_member_type_dropdown'),
-                            value: selectedMemberType,
+                            initialValue: selectedMemberType,
                             decoration: const InputDecoration(
                               border: OutlineInputBorder(),
                               contentPadding: EdgeInsets.symmetric(horizontal: 12, vertical: 8),
@@ -830,7 +830,7 @@ class _MembersScreenState extends State<MembersScreen> {
                         if (isEditing)
                           buildFormField('상태', DropdownButtonFormField<String>(
                             key: const Key('members_edit_status_dropdown'),
-                            value: selectedStatus,
+                            initialValue: selectedStatus,
                             decoration: const InputDecoration(
                               border: OutlineInputBorder(),
                               contentPadding: EdgeInsets.symmetric(horizontal: 12, vertical: 8),
diff --git a/mobile/lib/screens/club/score_form_screen.dart b/mobile/lib/screens/club/score_form_screen.dart
index 12c9a2d..a948999 100644
--- a/mobile/lib/screens/club/score_form_screen.dart
+++ b/mobile/lib/screens/club/score_form_screen.dart
@@ -214,7 +214,7 @@ class _ScoreFormScreenState extends State<ScoreFormScreen> {
                     // 참가자 선택
                     DropdownButtonFormField<String>(
                       key: const Key('score_form_participant_dropdown'),
-                      value: _selectedParticipantId,
+                      initialValue: _selectedParticipantId,
                       decoration: const InputDecoration(labelText: '참가자 *'),
                       isExpanded: true,
                       items: widget.participants.map((participant) {
diff --git a/mobile/lib/screens/club/tabs/basic_info_tab.dart b/mobile/lib/screens/club/tabs/basic_info_tab.dart
index e74257c..d517b96 100644
--- a/mobile/lib/screens/club/tabs/basic_info_tab.dart
+++ b/mobile/lib/screens/club/tabs/basic_info_tab.dart
@@ -164,9 +164,9 @@ class BasicInfoTab extends StatelessWidget {
     return Container(
       padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
       decoration: BoxDecoration(
-        color: color.withValues(alpha: 0.15),
+        color: color.withOpacity(0.15),
         borderRadius: BorderRadius.circular(12),
-        border: Border.all(color: color.withValues(alpha: 0.3)),
+        border: Border.all(color: color.withOpacity(0.3)),
       ),
       child: Row(
         mainAxisSize: MainAxisSize.min,
diff --git a/mobile/lib/screens/club/tabs/participants_tab.dart b/mobile/lib/screens/club/tabs/participants_tab.dart
index 5d3869d..c79e5c5 100644
--- a/mobile/lib/screens/club/tabs/participants_tab.dart
+++ b/mobile/lib/screens/club/tabs/participants_tab.dart
@@ -34,10 +34,12 @@ class _ParticipantsTabState extends State<ParticipantsTab> {
 
   String _buildFilterSummary() {
     final parts = <String>[];
-    if (_filterStatus != null && _filterStatus!.isNotEmpty)
+    if (_filterStatus != null && _filterStatus!.isNotEmpty) {
       parts.add('상태: ${_filterStatus!}');
-    if (_filterMemberType != null && _filterMemberType!.isNotEmpty)
+    }
+    if (_filterMemberType != null && _filterMemberType!.isNotEmpty) {
       parts.add('유형: ${_filterMemberType!}');
+    }
     if (_filterPaid != null) parts.add('결제: ${_filterPaid! ? '완료' : '미결제'}');
     final q = _searchController.text.trim();
     if (q.isNotEmpty) parts.add("검색: '$q'");
@@ -237,7 +239,7 @@ class _ParticipantsTabState extends State<ParticipantsTab> {
                 final icon = isFemale ? Icons.female : Icons.male;
                 final color = isFemale ? Colors.pink : Colors.blue;
                 return CircleAvatar(
-                  backgroundColor: color.withValues(alpha: 0.1),
+                  backgroundColor: color.withOpacity(0.1),
                   child: Icon(icon, size: 18, color: color),
                 );
               },
@@ -266,10 +268,10 @@ class _ParticipantsTabState extends State<ParticipantsTab> {
                       vertical: 2,
                     ),
                     decoration: BoxDecoration(
-                      color: Colors.deepPurple.withValues(alpha: 0.10),
+                      color: Colors.deepPurple.withOpacity(0.10),
                       borderRadius: BorderRadius.circular(12),
                       border: Border.all(
-                        color: Colors.deepPurple.withValues(alpha: 0.25),
+                        color: Colors.deepPurple.withOpacity(0.25),
                       ),
                     ),
                     child: Text(
@@ -290,10 +292,10 @@ class _ParticipantsTabState extends State<ParticipantsTab> {
                         vertical: 2,
                       ),
                       decoration: BoxDecoration(
-                        color: Colors.indigo.withValues(alpha: 0.10),
+                        color: Colors.indigo.withOpacity(0.10),
                         borderRadius: BorderRadius.circular(12),
                         border: Border.all(
-                          color: Colors.indigo.withValues(alpha: 0.25),
+                          color: Colors.indigo.withOpacity(0.25),
                         ),
                       ),
                       child: Text(
